<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ospi2urdf: src/examples/trials.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ospi2urdf
   </div>
   <div id="projectbrief">Express .osim files as .urdf files.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_e931c1a3f0014e624d0645a271726ad2.html">examples</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">trials.py File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacetrials"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html">trials</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a7f080319eb33f54ffe3ba6a9dca76317"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a7f080319eb33f54ffe3ba6a9dca76317">displayModel</a> (osimModel, osimState, geometry_path, marker_file, setup_IK_path)</td></tr>
<tr class="separator:a7f080319eb33f54ffe3ba6a9dca76317"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6331d31dbb059b760e304cdc3cead6f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#ad6331d31dbb059b760e304cdc3cead6f">getBodiesPositions</a> (osimModel, osimState)</td></tr>
<tr class="separator:ad6331d31dbb059b760e304cdc3cead6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a640e977b0f327a17ed6e5dc1ed7003dc"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a640e977b0f327a17ed6e5dc1ed7003dc">getCorresJointsCoord</a> (osimModel, osimState)</td></tr>
<tr class="separator:a640e977b0f327a17ed6e5dc1ed7003dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9de301aa6ecbd6eeff3b870c818ef280"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a9de301aa6ecbd6eeff3b870c818ef280">getCorresQCoord</a> (osimModel, osimState)</td></tr>
<tr class="separator:a9de301aa6ecbd6eeff3b870c818ef280"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c03267926236cb30397233b6350aff8"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a6c03267926236cb30397233b6350aff8">getGroundProperties</a> (osimModel)</td></tr>
<tr class="separator:a6c03267926236cb30397233b6350aff8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec03cce9d2dda79708830a153ddf317f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#aec03cce9d2dda79708830a153ddf317f">getJacobian</a> (osimModel, osimState)</td></tr>
<tr class="separator:aec03cce9d2dda79708830a153ddf317f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7998c3149f5c112ce17303f536280831"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a7998c3149f5c112ce17303f536280831">getJointsLimits</a> (osimModel, osimState)</td></tr>
<tr class="separator:a7998c3149f5c112ce17303f536280831"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3815dea2d977ae97c095409da8b7439"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#af3815dea2d977ae97c095409da8b7439">getJointsPositions</a> (osimModel, osimState, frame=&quot;Ground&quot;, n=1)</td></tr>
<tr class="separator:af3815dea2d977ae97c095409da8b7439"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1eeafc1043ea08854827a81de136c037"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a1eeafc1043ea08854827a81de136c037">getJointsValues</a> (osimModel, osimState)</td></tr>
<tr class="separator:a1eeafc1043ea08854827a81de136c037"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab110314cc42ef762ba5a72952f9e81d2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#ab110314cc42ef762ba5a72952f9e81d2">ikFromFile</a> (osim_model, osimState, trc_path, setup_IK_path, mot_file)</td></tr>
<tr class="separator:ab110314cc42ef762ba5a72952f9e81d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c319a420e512872c2d8cd5688205392"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a4c319a420e512872c2d8cd5688205392">Mnumpy</a> (matrix, mat_type)</td></tr>
<tr class="separator:a4c319a420e512872c2d8cd5688205392"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1a1a09ffafe39a6c3de175b927c8d8d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#ab1a1a09ffafe39a6c3de175b927c8d8d">numpy</a> (matrix)</td></tr>
<tr class="separator:ab1a1a09ffafe39a6c3de175b927c8d8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeff4a2a9b9b53f3b7eb6397d6b9d3200"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#aeff4a2a9b9b53f3b7eb6397d6b9d3200">printBodiesPositions</a> (osimModel, osimState)</td></tr>
<tr class="separator:aeff4a2a9b9b53f3b7eb6397d6b9d3200"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40cd76bca92be5205c24232b5c81accb"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a40cd76bca92be5205c24232b5c81accb">printCorresQCoord</a> (osimModel, osimState)</td></tr>
<tr class="separator:a40cd76bca92be5205c24232b5c81accb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66686bda37f3805343aff65ba8007249"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a66686bda37f3805343aff65ba8007249">printFramesNumber</a> (osimModel, osimState)</td></tr>
<tr class="separator:a66686bda37f3805343aff65ba8007249"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a460984a0af8487cd28ff236509a34473"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a460984a0af8487cd28ff236509a34473">printJointsDivisionsIntoOneDOF</a> (osimModel, osimState)</td></tr>
<tr class="separator:a460984a0af8487cd28ff236509a34473"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51121d1ad3650e75ee0ceabef1647c79"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a51121d1ad3650e75ee0ceabef1647c79">printJointsLimits</a> (osimModel, osimState)</td></tr>
<tr class="separator:a51121d1ad3650e75ee0ceabef1647c79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e417e1068185857039a64068d0b19bd"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a6e417e1068185857039a64068d0b19bd">printJointsPositions</a> (osimModel, osimState, frame=&quot;Ground&quot;, n=1)</td></tr>
<tr class="separator:a6e417e1068185857039a64068d0b19bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2da556a85f92a521e9f4e2697f4fc1fa"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a2da556a85f92a521e9f4e2697f4fc1fa">printJointsPositionsAllFrames</a> (osimModel, osimState, frame=&quot;Ground&quot;)</td></tr>
<tr class="separator:a2da556a85f92a521e9f4e2697f4fc1fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b3fc190ac19273f10f8d2433b861f00"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a0b3fc190ac19273f10f8d2433b861f00">printJointsValues</a> (osimModel, osimState)</td></tr>
<tr class="separator:a0b3fc190ac19273f10f8d2433b861f00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd19e4682108d53c14d6c9a1596c7c9a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#abd19e4682108d53c14d6c9a1596c7c9a">setQ</a> (osimModel, osimState, LQ)</td></tr>
<tr class="separator:abd19e4682108d53c14d6c9a1596c7c9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a57a71b130024bd2cdc927cca725b8b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a5a57a71b130024bd2cdc927cca725b8b">setToNeutral</a> (osimModel, osimState)</td></tr>
<tr class="separator:a5a57a71b130024bd2cdc927cca725b8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a438d742777a6756327269a8e08d08ede"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a438d742777a6756327269a8e08d08ede">tryForwardTool</a> (osimModel)</td></tr>
<tr class="separator:a438d742777a6756327269a8e08d08ede"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b72dca8aba7e1d7114d08a7b2e4b911"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a7b72dca8aba7e1d7114d08a7b2e4b911">Vnumpy</a> (matrix, mat_type)</td></tr>
<tr class="separator:a7b72dca8aba7e1d7114d08a7b2e4b911"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a9943cdc47fcab4aaa9250f232906cba0"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a9943cdc47fcab4aaa9250f232906cba0">geometry_path</a> = &quot;/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/SimulationDataAndSetupFiles-4.0/Geometry&quot;</td></tr>
<tr class="separator:a9943cdc47fcab4aaa9250f232906cba0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf06840bb7321db3b08b1b60a3792784"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#aaf06840bb7321db3b08b1b60a3792784">ik_path</a> = &quot;/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/InverseKinematics/&quot;</td></tr>
<tr class="separator:aaf06840bb7321db3b08b1b60a3792784"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac04608373464fc669028ef23af4033b4"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#ac04608373464fc669028ef23af4033b4">scaled_MM_Moved_path</a> = '/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/arm26.osim'</td></tr>
<tr class="memdesc:ac04608373464fc669028ef23af4033b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">-&mdash; wholebody.osim  <a href="namespacetrials.html#ac04608373464fc669028ef23af4033b4">More...</a><br /></td></tr>
<tr class="separator:ac04608373464fc669028ef23af4033b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0012dbb9400ca356bc79721469efbda"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#aa0012dbb9400ca356bc79721469efbda">setup_ik_path</a> = '/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/InverseKinematics/Setup_IK_arm26_elbow_flex.xml'</td></tr>
<tr class="separator:aa0012dbb9400ca356bc79721469efbda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51789b56e7ee8adcfa2d6d201380191a"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetrials.html#a51789b56e7ee8adcfa2d6d201380191a">trc_path</a> = '/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/InverseKinematics/arm26_elbow_flex.trc'</td></tr>
<tr class="separator:a51789b56e7ee8adcfa2d6d201380191a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
